Pipelines
A pipeline is a graph of containers that accomplish some goal. Pipelines are created via a Pipeline configuration file and can be set to be run automatically via attached extensions
List all pipelines
GET
/api/namespaces/{namespace_id}/pipelinesReturns the metadata for all pipelines. If you want a more complete picture of the pipeline details combine this endpoint with the configs endpoint to grab the metadata AND the user's pipeline configuration.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListPipelinesResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Get pipeline by id
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetPipelineResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Update a pipeline's state
PATCH
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Request body (required): UpdatePipelineRequest
Responses
Delete pipeline by id
DELETE
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}IMPORTANT: Deleting a pipeline is set to cascade. All downstream objects to the pipeline (configs, secrets, runs, tasks) will be removed as well.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses